Bug 37632 - xscreensaver, xlock, etc. ignore AltGr Modifier
xscreensaver, xlock, etc. ignore AltGr Modifier
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-25 12:15 EDT by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-04-25 12:15:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [de] (X11; U; Linux 2.4.3 i686; Nav)


On Systems with german Keyboards, all Screenblankers I know (xscreensaver,
xlock, KDE Screenblanker) fail to accept passwords containing characters
that are
typed using the AltGr Key.

Reproducible: Always

Steps to Reproduce:
0.Use a System with a german Keyboard, containing "Umlauts" and the AltGr
Key
1.Add new User (adduser)
2.Give him a password containing AltGr Keys.
  On german Keyboard, AltGr is needed e.g. for  @ | { } [ ] ~ \
3. Login new User (graphically, runlevel 5) (choose Gnome or KDE)
4. Lock screen using {xlock, xscreensaver or KDE Screenblanker}
5. Try to end Screenblanker. It will not accept the password.


Actual Results:  Screenblanker does not accept Password.

Expected Results:  Well, it should accept Password.

In the last RedHat Releases (6.1, 6.2, 7.0), even graphical Login
(Step 3 above) would fail. So it seems to have been partially fixed in 7.1
However, Screen Blankers still don't work correctly.

I rated this as "Security Issue", since we have about 5000 Users, who are
forced to use "bad" passwords (containing few or no Special Characters)
to be able to use Screen Blankers. These passwords are easily cracked. :-(
Comment 1 Need Real Name 2001-11-18 05:26:32 EST
I have RH 7.1 en and have the same problem but only under root. When applying 
my root password to a normal user xlock will accept the AltGr key without 
problem..
Concerning graphical login I have noticed the same problem, however by 
reselecting the language you want at every logon, gdm then allows me to use 
AltGr keys.
Comment 2 Need Real Name 2002-01-24 11:53:08 EST
On systems with french keyboard, i have exactly the same problem (RedHat 7.1). 
It's very important for me to get a walkthrough : we have about 1000 users.
Comment 3 Jamie Zawinski 2002-07-25 16:14:12 EDT
I've heard reports of this before, but I don't understand what
xscreensaver needs to do differently.  It is making use of the
XComposeStatus argument to XLookupString, and I thought that was
sufficient.

If someone wants to debug this, the relevant code is
handle_passwd_key() in driver/lock.c.  (run xscreensaver -sync under
gdb remotely from another machine or virtual terminal to step it.)
Comment 4 Ray Strode [halfline] 2005-09-09 14:01:29 EDT
Is this issue still a problem with recent versions of Fedora Core or RHEL?
Comment 5 Bill Nottingham 2006-10-18 12:38:17 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.